Snapshot container inherits font size from parent
Closed, ResolvedPublic

Description

  • Leaflet/mapbox.js fixes the font size to 12px - which should be changed to 14px to align with article contents font size.
  • Snapshot container does not rely on leaflet, so inherits font size from parent. When it's put within a parent container that sets a smaller font size, the OOjs UI control for opening the map full screen is rendered with incorrect padding.

See screenshot:

JGirault created this task.Nov 2 2016, 11:03 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 2 2016, 11:03 PM

Change 319488 had a related patch set uploaded (by JGirault):
Sets font size to 14px for both static and interactive maps

https://gerrit.wikimedia.org/r/319488

JGirault moved this task from Backlog to Needs review on the Maps-Sprint board.Nov 2 2016, 11:04 PM

After the patch, the map looks like:

As a result of this patch, the popup text will be a little bigger: increased to`14px`, the same size as the article contents.

Before: 12pxAfter: 14px

Change 319493 had a related patch set uploaded (by Yurik):
Sets font size to 14px for both static and interactive maps

https://gerrit.wikimedia.org/r/319493

Change 319488 merged by jenkins-bot:
Sets font size to 14px for both static and interactive maps

https://gerrit.wikimedia.org/r/319488

Dereckson triaged this task as High priority.Nov 2 2016, 11:22 PM

Change 319493 merged by jenkins-bot:
Sets font size to 14px for both static and interactive maps

https://gerrit.wikimedia.org/r/319493

Mentioned in SAL (#wikimedia-operations) [2016-11-03T00:23:57Z] <dereckson@tin> Synchronized php-1.29.0-wmf.1/extensions/Kartographer/styles/: Set font size to 14px for both static and interactive maps (T149860) (duration: 00m 47s)

Yurik closed this task as Resolved.Nov 3 2016, 1:15 AM
Yurik added a subscriber: Yurik.

Thanks!!!

Deskana moved this task from Needs review to Done on the Maps-Sprint board.Apr 19 2017, 4:29 PM